Subject: Re: Remove Prism II support from Orinoco

From: Stephen Hemminger <[email-masked]>
Date: Mon, 12 Jun 2006 21:20:48 -0700

On 12/06/06 17:10 -0700, Jesse Brandeburg wrote:
> On 6/12/06, John W. Linville <[email-masked]> wrote:
> >On Mon, Jun 12, 2006 at 01:49:54AM +0300, Faidon Liambotis wrote:
> >
> >> Having two drivers supporting the same set of hardware seems pretty
> >> pointless to me. Plus, it confuses hotplugging/automatic detection.
> >
> >This subject comes-up from time to time.  In fact, I'm pretty sure
> >it came-up very recently w.r.t. orinoco and hostap.
> >
> >The consensus seems to be that drivers should have IDs for all devices
> >they support, even if that means that some devices are supported by
> >multiple drivers.  This leaves the choice of which driver to use in
> >the hands of the user and/or distro.
> 
> my problem is that for my prism 2 adapter both drivers are loaded at
> which point neither of them works.  I'm running FC5, and i have to
> keep removing the orinoco*.ko files to keep them from loading, so I'm
> all for this patch.
> 

use blacklist in module config to block one.
Just put in /etc/modprobe.conf

blacklist orinoco